/*
 *  Copyright 2025-2026 R3944Realms
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package top.r3944realms.eroticdungeongame.content.command;

import net.minecraft.resources.ResourceLocation;
import top.r3944realms.eroticdungeongame.EroticDungeon;
import top.r3944realms.lib39.core.command.SimpleCommandHelpManager;

public class EDGCommandHelperManager extends SimpleCommandHelpManager {
    public static volatile EDGCommandHelperManager INSTANCE = new EDGCommandHelperManager();
    ResourceLocation ID = EroticDungeon.rl("command_helper");
    public EDGCommandHelperManager() {
        initialize();
    }
    @Override
    public ResourceLocation getID() {
        return ID;
    }

    @Override
    public String getHeadKey() {
        return "edg";
    }
}
